package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.Objects;

/**
 * Site mesh setting.
 */
@ApiModel(description = "Site mesh setting.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class SiteMeshSetting   {
  @JsonProperty("mesh")
  private MeshSettingVo mesh;

  public SiteMeshSetting mesh(MeshSettingVo mesh) {
    this.mesh = mesh;
    return this;
  }

  /**
   * Get mesh
   * @return mesh
  */
  @ApiModelProperty(value = "")

  @Valid

  public MeshSettingVo getMesh() {
    return mesh;
  }

  public void setMesh(MeshSettingVo mesh) {
    this.mesh = mesh;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SiteMeshSetting siteMeshSetting = (SiteMeshSetting) o;
    return Objects.equals(this.mesh, siteMeshSetting.mesh);
  }

  @Override
  public int hashCode() {
    return Objects.hash(mesh);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SiteMeshSetting {\n");
    
    sb.append("    mesh: ").append(toIndentedString(mesh)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

